package com.ruoyi.bst.ad.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 广告对象 bst_ad
 *
 * @author ruoyi
 * @date 2025-04-01
 */
@Data
public class Ad extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long adId;

    @Excel(name = "所属:0-管理员 1-商户")
    @ApiModelProperty("所属:0-管理员 1-商户")
    private String belong;

    @Excel(name = "广告类型 1：活动推广")
    @ApiModelProperty("广告类型 1：活动推广")
    private String type;


    @ApiModelProperty("广告图片")
    private String picture;

    @Excel(name = "运营商id")
    @ApiModelProperty("运营商id")
    private Long storeId;

    @Excel(name = "跳转链接")
    @ApiModelProperty("跳转链接")
    private String url;

    @Excel(name = "跳转类型，1外链跳转，2站内跳转")
    @ApiModelProperty("跳转类型，1外链跳转，2站内跳转")
    private String urlType;

}
