package com.ruoyi.bst.complaint.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 投诉对象 bst_complaint
 *
 * @author ruoyi
 * @date 2025-03-31
 */
@Data
public class Complaint extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "内容")
    @ApiModelProperty("内容")
    private String content;

    @Excel(name = "意见反馈类型，1功能异常，2意见与建议，3其他")
    @ApiModelProperty("意见反馈类型，1功能异常，2意见与建议，3其他")
    private String type;

    @Excel(name = "图片路径，以逗号分开")
    @ApiModelProperty("图片路径，以逗号分开")
    private String picture;

    @Excel(name = "联系方式", readConverterExp = "手=机、微信、邮箱")
    @ApiModelProperty("联系方式")
    private String contact;

}
