package com.ruoyi.web.app;

import com.ruoyi.bst.agreement.domain.AgreementQuery;
import com.ruoyi.bst.agreement.service.AgreementService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.page.TableDataInfo;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/app/agreement")
public class AppAgreementController extends BaseController {

    @Autowired
    private AgreementService agreementService;

    @ApiOperation("查询协议")
    @GetMapping
    public TableDataInfo getAgreement(AgreementQuery query) {
        startPage();
        startOrderBy();
        return getDataTable(agreementService.selectAgreementList(query));
    }


}
